# 38. Dotaz: Získat "UserData"

Získejte „UserData“ autorizovaného uživatele.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query getUserData {
  getUserData {
    uuid
    email
    celkováPlocha
    maximálníPlocha
    jednotkaPlochy
    jazyk
    apiKlic
    početTřídPůdníhoDatasetu
    organizace {
      uuid
      název
      příjmení
      jméno
      email
      telefon
      datumVytvoření
      updatedDate
      uživatelé {
        uuidOrganizace
        userUuid
        email
        všechnyFarmy
        datumVytvoření
        updatedDate
        farmy {
          uuid
          userUuid
          název
          datumVytvoření
          updatedDate
          farmOwnership
          email
        }
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/cze/api-dokumentace/prehled-pozadavku-api-geopardu/38.-dotaz-ziskat-userdata.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
